QGIS Application - Bug report #13588
Processing: removing /tmp/processing for every instance
2015-10-13 09:41 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21630
Description

If I have >1 instance of Processing, when closing one instance, the whole /tmp/processing dir is erased, including the
layers eventually loaded by others. | believe this is not very safe.

Associated revisions

Revision 70bc9574 - 2015-10-14 01:14 PM - Victor Olaya

[processing] do not assume singleton Processing when defining temp folder

fixes #13588

History

#1 - 2015-10-14 04:14 AM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"70bc957439b1eb2cc0ad576f3fdb91f535f16eb7".
